Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# WStrPtrLen Struct Reference
[OSCL Util]

This data structure encapsulates a set of functions used to perform. More...

`#include <oscl_str_ptr_len.h>`

## Public Methods
| WStrPtrLen (const oscl_wchar *newPtr)
| WStrPtrLen (const oscl_wchar *newPtr, uint32 newLen)
| WStrPtrLen ()
| WStrPtrLen (const WStrPtrLen &rhs)
const oscl_wchar * | c_str () const
int32 | length () const
int32 | size () const
void | setPtrLen (const oscl_wchar *newPtr, uint32 newLen)
c_bool | isCIEquivalentTo (const WStrPtrLen &rhs) const
int32 | operator== (const WStrPtrLen &rhs) const
int32 | operator!= (const WStrPtrLen &rhs) const
WStrPtrLen & | operator= (const WStrPtrLen &rhs)
WStrPtrLen & | operator= (const oscl_wchar *rhs)
## Protected Attributes
const oscl_wchar * | ptr
int32 | len

## Detailed Description

This data structure encapsulates a set of functions used to perform.

standard string operations. It should be used for null-terminated constant strings (non-modifiable) of wchar type.

## Constructor & Destructor Documentation

WStrPtrLen::WStrPtrLen | ( | const oscl_wchar * | newPtr | ) | `[inline]`

WStrPtrLen::WStrPtrLen | ( | const oscl_wchar * | newPtr,
|  | uint32 | newLen
| ) | `[inline]`

WStrPtrLen::WStrPtrLen | ( |  | ) | `[inline]`

WStrPtrLen::WStrPtrLen | ( | const WStrPtrLen & | rhs | ) | `[inline]`

## Member Function Documentation

const oscl_wchar* WStrPtrLen::c_str | ( |  | ) | const`[inline]`

c_bool WStrPtrLen::isCIEquivalentTo | ( | const WStrPtrLen & | rhs | ) | const`[inline]`

int32 WStrPtrLen::length | ( |  | ) | const`[inline]`

int32 WStrPtrLen::operator!= | ( | const WStrPtrLen & | rhs | ) | const`[inline]`

WStrPtrLen& WStrPtrLen::operator= | ( | const oscl_wchar * | rhs | ) | `[inline]`

WStrPtrLen& WStrPtrLen::operator= | ( | const WStrPtrLen & | rhs | ) | `[inline]`

int32 WStrPtrLen::operator== | ( | const WStrPtrLen & | rhs | ) | const`[inline]`

void WStrPtrLen::setPtrLen | ( | const oscl_wchar * | newPtr,
|  | uint32 | newLen
| ) | `[inline]`

int32 WStrPtrLen::size | ( |  | ) | const`[inline]`

## Field Documentation

int32 WStrPtrLen::len`[protected]`

const oscl_wchar* WStrPtrLen::ptr`[protected]`

The documentation for this struct was generated from the following file:

- oscl_str_ptr_len.h